Bug 1498556 - Azure Smart State on Image results error "Unable to mount filesystem. Reason:[undefined method `split' for nil:NilClass" in evm.log
Summary: Azure Smart State on Image results error "Unable to mount filesystem. Reason...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.2
Assignee: Jerry Keselman
QA Contact: Satyajit Bulage
URL:
Whiteboard: smartstate:vmware:image
Depends On: 1496523
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 15:46 UTC by Satoe Imaishi
Modified: 2017-10-24 00:41 UTC (History)
5 users (show)

Fixed In Version: 5.8.2.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1496523
Environment:
Last Closed: 2017-10-24 00:41:44 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 Jerry Keselman 2017-10-04 15:47:58 UTC
The above PRs have been merged.

Comment 3 Jerry Keselman 2017-10-04 15:48:12 UTC
The above PRs have been merged.

Comment 4 CFME Bot 2017-10-04 15:48:18 UTC
New commit detected on ManageIQ/manageiq-providers-azure/fine:
https://github.com/ManageIQ/manageiq-providers-azure/commit/1394b34298d177e2aaa585ec591e7614cc539db7

commit 1394b34298d177e2aaa585ec591e7614cc539db7
Author:     Daniel Berger <djberg96@gmail.com>
AuthorDate: Tue Oct 3 15:05:15 2017 -0600
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Oct 4 11:46:15 2017 -0400

    Merge pull request #133 from jerryk55/ssa_azure_managed_images
    
    SSA Support for Managed Images
    (cherry picked from commit 9b0c67a6774aefd79b416fd71cbfe8bdff324794)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1498556

 .../azure/cloud_manager/vm_or_template_shared.rb   | 45 +++++++++++++++++++++-
 .../vm_or_template_shared/scanning.rb              | 10 ++++-
 2 files changed, 51 insertions(+), 4 deletions(-)

Comment 5 CFME Bot 2017-10-04 16:03:14 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/00a46cd59135235eeb63e9a1ecb27b422129c56d

commit 00a46cd59135235eeb63e9a1ecb27b422129c56d
Author:     Richard Oliveri <oliveri.richard.github@gmail.com>
AuthorDate: Wed Oct 4 11:37:09 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Oct 4 11:50:57 2017 -0400

    Merge pull request #31 from jerryk55/ssa_managed_images
    
    SSA for Managed Images
    (cherry picked from commit 36f48ddc13c900143f84511e5a2de0f770d3e4f6)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1498556

 lib/gems/pending/MiqVm/miq_azure_vm.rb             |    17 +-
 .../miq_azure_vm_instance_spec_new-1.yml           |  2280 +-
 .../miq_azure_vm_instance_spec_new-2.yml           |  2280 +-
 .../miq_azure_vm_instance_spec_new-3.yml           |  2278 +-
 .../miq_azure_vm_instance_spec_new-4.yml           |  2302 +-
 .../miq_azure_vm_instance_spec_rootTrees-1.yml     | 65936 +------------------
 .../miq_azure_vm_instance_spec_rootTrees-2.yml     | 65934 +-----------------
 .../miq_azure_vm_instance_spec_rootTrees-3.yml     | 65936 +------------------
 .../miq_azure_vm_instance_spec_rootTrees-4.yml     | 65934 +-----------------
 .../miq_azure_vm_instance_spec_rootTrees-5.yml     | 65936 +------------------
 .../miq_azure_vm_instance_spec_rootTrees-6.yml     | 65936 +------------------
 .../miq_azure_vm_instance_spec_rootTrees-7.yml     | 65936 +------------------
 12 files changed, 21395 insertions(+), 449310 deletions(-)

Comment 6 Satyajit Bulage 2017-10-09 10:14:14 UTC
Performed SSA on an Azure Managed Disk Image. It scanned image without error.

Verified Version: 5.8.2.2.20171004184712_c59f3db

Comment 8 errata-xmlrpc 2017-10-24 00:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.